// assemble with xkas-plus v14+1
// https://github.com/devinacker/xkas-plus

arch nes.cpu
header
banksize $2000

define RESET            $fce0
define OLD_RESET        $c010
define PRG_RAM_PROTECT  $a001   // see https://www.nesdev.org/wiki/MMC3

bank $1f                // bank directive, combined with banksize above,
                        // and the org directives below, determines where in the ROM to write to

org {RESET}   // 13 bytes changed
  lda #$80
  sta {PRG_RAM_PROTECT} // 
  lda #0
  jsr $ff00             // make sure the proper bank(s) will be found at $8000-$bfff
  jmp {OLD_RESET}       // and go to the original reset code

org $ff5f     // 1 byte changed
  lda #$80              // retrorain's hack instead has lda #$01 here, which would disable SRAM
  sta $0106             // and uses this as a flag to branch over this code after the initial setup is done
  sta {PRG_RAM_PROTECT} // 


org $fffc     // 2 bytes changed
  dw {RESET}
