; sdasm
arch nes.cpu        ; NES architecture
banksize $4000      ; size of each PRG bank
chrsize $1000       ; size of each CHR bank
header              ; rom has a header

include? "settings.default.asm"       ; default settings

if NESBuilder
    include? "code/symbols.asm"       ; settings from NESBuilder exported symbols.asm
else
    include? "settings.local.asm"     ; local settings for non-NESBuilder project
endif


bank 0
base $8000

bank 5
base $8000

if fixItemCollect
    org $9495
        ; Don't reset controller input when getting item
        ; This fixes the bug where you suddenly drop into a pit after shooting something
        ; and collecting energy in mid-air, and other sillyness.
        ;>05:9495: 85 14     STA $14 = #$80
        nop 2
endif

if fixSpikes
    bank $0f
    base $c000
    org $d374
        ; this was a bunch of nop.  skip ahead so we can use this.
        jmp $d399
    betterSpikes:
        lda $55         ; load Megaman's blink state
        bne +           ; if blinking, skip ahead
        jmp $c219       ; kill Megaman
    +
        rts

    ; Spike collision points to betterSpikes instead of death
    org $d7de
        jmp betterSpikes
    org $d81b
        jmp betterSpikes
endif

if fixLadders
    ; replace ladder graphics with the graphics used in Dr Wily stage (and ladders in later games)
    chr 6
    org $940
        ladderGfx = {getbytes:$, $40}
    org $880
        db ladderGfx
    org $8c0
        db ladderGfx
endif

makeips "megaman remastered SpiderDave tweaks.ips"


